adactl_fix(1)

NAME
adactl_fix - Ada rules controller, automatic fixer

SYNOPSIS

adactl_fix [-v] [-o output_prefix] file...

adactl_fix -h

DESCRIPTION
adactl_fix reads the indicated files, as produced by adactl, and performs the corresponding fixes. The modified files are printed on the standard output, which can be redirected to a file for later splitting at an appropriate place with gnatchop. This command line tool directly edits source files. A similar interactive tool is provided as a gnat-gps plugin. If you select this tool, you should read the related section of the reference manual before using it. AdaControl is an Ada rules controller. It is used to control that Ada software meets the requirements of a number of parameterizable rules. It is not intended to supplement checks made by the compiler, but rather to search for particular violations of good-practice rules, or to check that some rules are obeyed project-wide. Commercial support is available for AdaControl, see file /usr/share/doc/adacontrol/support.txt. If you plan to use AdaControl for industrial projects, or if you want it to be customized or extended to match your own needs, please contact Adalog at info@adalog.fr.

OPTIONS

-o output_prefix
    Output each modified file to a file whose name is obtained by prefixing output_prefix to the original name of the corresponding source file. The prefix can be any string, and is not analyzed by Adactl_Fix. A prefix like result/ will result in all the output going to the directory result, with the same name as the original. Alternatively, a prefix like new- will result in all output files being in the same directory. Adactl_Fix will overwrite any existing file with the same name.

-v  Display actions to standard output.

-h  Print a brief help message and exits, ignoring all other options and parameters.

AUTHOR
AdaControl was developed by under contract with The copyright is jointly owned by Adalog and Eurocontrol. This manual page was written by Nicolas Boulenguez <nicolas@debian.org> and is licensed under terms of the GNU General Public License.

SEE ALSO
AdaControl User's Guide, available in Info, PDF, and HTML in /usr/share/doc/adacontrol. AdaControl Programmer's Guide, available in Info, PDF, and HTML in /usr/share/doc/adacontrol.